Skip to main content
`Ctrl`+`K`

# MatDenseResetArray

Resets the matrix array to that it previously had before the call to `MatDensePlaceArray()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseResetArray(Mat mat)

Not Collective

## Input Parameter

- mat - the matrix

## Note

You can only call this after a call to `MatDensePlaceArray()`

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseGetArray()`, `MatDensePlaceArray()`, `VecPlaceArray()`, `VecGetArray()`, `VecRestoreArray()`, `VecReplaceArray()`, `VecResetArray()`

## Level

developer

## Location

src/mat/impls/dense/mpi/mpidense.c

## Implementations

MatDenseResetArray_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatDenseResetArray_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages